summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordongwenjuan <dong.wenjuan@zte.com.cn>2016-07-28 19:35:36 +0800
committerdongwenjuan <dong.wenjuan@zte.com.cn>2016-08-11 18:01:28 +0800
commitd9c90b63a4a822661a1663c3b3f902b087bee636 (patch)
tree619c20ad9bb9c780ab2e73def2351c1d0f2bd691
parent71bd010085ce787ef2dcc3766ef4ad601ffce969 (diff)
test scenario support fuel installer
This patch extends support for fuel OPNFV installer for the test scenario. JIRA: DOCTOR-62 Change-Id: I09746b0e64b3999363db53c318027b81c471e2c4 Signed-off-by: dongwenjuan <dong.wenjuan@zte.com.cn>
-rwxr-xr-xtests/run.sh30
1 files changed, 23 insertions, 7 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 06aa6848..14a80c47 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -25,8 +25,8 @@ DOCTOR_PROJECT=doctor
#TODO: change back to `_member_` when JIRA DOCTOR-55 is done
DOCTOR_ROLE=admin
-SUPPORTED_INSTALLER_TYPES="apex local"
-INSTALLER_TYPE=${INSTALLER_TYPE:-apex}
+SUPPORTED_INSTALLER_TYPES="apex fuel local"
+INSTALLER_TYPE=${INSTALLER_TYPE:-local}
INSTALLER_IP=${INSTALLER_IP:-none}
ssh_opts="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
@@ -42,12 +42,13 @@ get_compute_host_info() {
# get computer host info which VM boot in
COMPUTE_HOST=$(openstack $as_doctor_user server show $VM_NAME |
grep "OS-EXT-SRV-ATTR:host" | awk '{ print $4 }')
+ compute_host_in_undercloud=${COMPUTE_HOST%%.*}
if [[ -z "$COMPUTE_HOST" ]] ; then
echo "ERROR: failed to get compute hostname"
exit 1
fi
+
if [[ "$INSTALLER_TYPE" == "apex" ]] ; then
- compute_host_in_undercloud=${COMPUTE_HOST%%.*}
COMPUTE_USER=${COMPUTE_USER:-heat-admin}
if [[ "$INSTALLER_IP" == "none" ]] ; then
instack_mac=$(sudo virsh domiflist instack | awk '/default/{print $5}')
@@ -57,13 +58,23 @@ get_compute_host_info() {
"source stackrc; \
nova show $compute_host_in_undercloud \
| awk '/ ctlplane network /{print \$5}'")
+ elif [[ "$INSTALLER_TYPE" == "fuel" ]] ; then
+ COMPUTE_USER=${COMPUTE_USER:-root}
+ if [[ "$INSTALLER_IP" == "none" ]] ; then
+ instack_mac=$(sudo virsh domiflist fuel-opnfv | awk '/pxebr/{print $5}')
+ INSTALLER_IP=$(/usr/sbin/arp -e | grep ${instack_mac} | awk '{print $1}')
+ fi
+ node_id=$(echo $compute_host_in_undercloud | cut -d "-" -f 2)
+ COMPUTE_IP=$(sshpass -p r00tme ssh 2>/dev/null $ssh_options root@${INSTALLER_IP} \
+ "fuel node|awk -F '|' -v id=$node_id '{if (\$1 == id) print \$5}' |xargs")
elif [[ "$INSTALLER_TYPE" == "local" ]] ; then
COMPUTE_USER=${COMPUTE_USER:-$(whoami)}
COMPUTE_IP=$(getent hosts "$COMPUTE_HOST" | awk '{ print $1 }')
- if [[ -z "$COMPUTE_IP" ]]; then
- echo "ERROR: Could not resolve $COMPUTE_HOST. Either manually set COMPUTE_IP or enable DNS resolution."
- exit 1
- fi
+ fi
+
+ if [[ -z "$COMPUTE_IP" ]]; then
+ echo "ERROR: Could not resolve $COMPUTE_HOST. Either manually set COMPUTE_IP or enable DNS resolution."
+ exit 1
fi
echo "COMPUTE_HOST=$COMPUTE_HOST"
echo "COMPUTE_IP=$COMPUTE_IP"
@@ -85,6 +96,11 @@ prepare_compute_ssh() {
sudo chown $(whoami):$(whoami) instack_key
chmod 400 instack_key
ssh_opts_cpu+=" -i instack_key"
+ elif [[ "$INSTALLER_TYPE" == "fuel" ]] ; then
+ sshpass -p r00tme scp $ssh_options root@${INSTALLER_IP}:.ssh/id_rsa instack_key
+ sudo chown $(whoami):$(whoami) instack_key
+ chmod 400 instack_key
+ ssh_opts_cpu+=" -i instack_key"
elif [[ "$INSTALLER_TYPE" == "local" ]] ; then
echo "INSTALLER_TYPE set to 'local'. Assuming SSH keys already exchanged with $COMPUTE_HOST"
fi